Bug 85480 - DRM is not working with nForce2 chipset.
DRM is not working with nForce2 chipset.
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
phoebe
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-03 12:39 EST by Ivo Sarak
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-03 14:22:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-03-03 12:39:11 EST
Description of problem:
After upgrade to RedHat Public Beta Phoebe I get a message from dmesg about DRM
being disabled.

Version-Release number of selected component (if applicable):
XFree86-ISO8859-15-100dpi-fonts-4.2.99.901-20030213.0
XFree86-Xnest-4.2.99.901-20030213.0
XFree86-libs-data-4.2.99.901-20030213.0
XFree86-ISO8859-2-75dpi-fonts-4.2.99.901-20030213.0
XFree86-cyrillic-fonts-4.2.99.901-20030213.0
XFree86-twm-4.2.99.901-20030213.0
XFree86-ISO8859-2-100dpi-fonts-4.2.99.901-20030213.0
XFree86-Mesa-libGL-4.2.99.901-20030213.0
XFree86-base-fonts-4.2.99.901-20030213.0
XFree86-font-utils-4.2.99.901-20030213.0
XFree86-truetype-fonts-4.2.99.901-20030213.0
XFree86-xfs-4.2.99.901-20030213.0
XFree86-100dpi-fonts-4.2.99.901-20030213.0
XFree86-ISO8859-15-75dpi-fonts-4.2.99.901-20030213.0
XFree86-ISO8859-9-75dpi-fonts-4.2.99.901-20030213.0
XFree86-Xvfb-4.2.99.901-20030213.0
XFree86-doc-4.2.99.901-20030213.0
XFree86-tools-4.2.99.901-20030213.0
XFree86-xdm-4.2.99.901-20030213.0
XFree86-4.2.99.901-20030213.0
XFree86-ISO8859-9-100dpi-fonts-4.2.99.901-20030213.0
XFree86-devel-4.2.99.901-20030213.0
XFree86-xauth-4.2.99.901-20030213.0
XFree86-75dpi-fonts-4.2.99.901-20030213.0
XFree86-Mesa-libGLU-4.2.99.901-20030213.0
XFree86-libs-4.2.99.901-20030213.0

How reproducible:
Every time.

Steps to Reproduce:
Upgrade to RedHat Public Beta Phoebe and start kde.
    
Actual results:

[root@sarmax root]# dmesg
...
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: unsupported bridge
agpgart: no supported devices found.
[drm:drm_init] *ERROR* Cannot initialize the agpgart module.


Expected results:
Working DRM.

Additional info:

[root@sarmax root]# cat /var/log/XFree86.0.log

This is a pre-release version of XFree86, and is not supported in any
way.  Bugs may be reported to XFree86@XFree86.Org and patches submitted
to fixes@XFree86.Org.  Before reporting bugs in pre-release versions,
please check the latest version in the XFree86 CVS repository
(http://www.XFree86.Org/cvs).

XFree86 Version 4.2.99.901 (4.3.0 RC 1) (Red Hat Linux release:
4.2.99.901-20030213.0)
Release Date: 12 February 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.20-2.48bigmem i686 [ELF]
Build Date: 14 February 2003
Build Host: porky.devel.redhat.com

        Before reporting problems, check http://www.XFree86.Org/
        to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.4.20-2.54 (bhcompile@stripples.devel.redhat.com) (gcc
version 3.2.2 20030217 (Red Hat Linux 8.0 3.2.2-2)) #1 Sat Feb 22 08:25:41 EST 2003
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Mar  3 18:55:22 2003
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "ee"
(**) XKB: layout: "ee"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "DevInputMice"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.2
        XFree86 Video Driver: 0.6
        XFree86 XInput driver : 0.4
        XFree86 Server Extension : 0.2
        XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 10de,01e0 card 1043,80ac rev a2 class 06,00,00 hdr 80
(II) PCI: 00:00:1: chip 10de,01eb card 10de,0c17 rev a2 class 05,00,00 hdr 80
(II) PCI: 00:00:2: chip 10de,01ee card 10de,0c17 rev a2 class 05,00,00 hdr 80
(II) PCI: 00:00:3: chip 10de,01ed card 10de,0c17 rev a2 class 05,00,00 hdr 80
(II) PCI: 00:00:4: chip 10de,01ec card 10de,0c17 rev a2 class 05,00,00 hdr 80
(II) PCI: 00:00:5: chip 10de,01ef card 10de,0c17 rev a2 class 05,00,00 hdr 80
(II) PCI: 00:01:0: chip 10de,0060 card 1043,80ad rev a3 class 06,01,00 hdr 80
(II) PCI: 00:01:1: chip 10de,0064 card 1043,0c11 rev a2 class 0c,05,00 hdr 80
(II) PCI: 00:02:0: chip 10de,0067 card 1043,0c11 rev a3 class 0c,03,10 hdr 80
(II) PCI: 00:02:1: chip 10de,0067 card 1043,0c11 rev a3 class 0c,03,10 hdr 80
(II) PCI: 00:02:2: chip 10de,0068 card 1043,0c11 rev a3 class 0c,03,20 hdr 80
(II) PCI: 00:08:0: chip 10de,006c card 0000,0000 rev a3 class 06,04,00 hdr 01
(II) PCI: 00:09:0: chip 10de,0065 card 1043,0c11 rev a2 class 01,01,8a hdr 00
(II) PCI: 00:1e:0: chip 10de,01e8 card 0000,0000 rev a2 class 06,04,00 hdr 01
(II) PCI: 01:07:0: chip 10b7,9200 card 10b7,1000 rev 78 class 02,00,00 hdr 00
(II) PCI: 01:08:0: chip 9005,0081 card 9005,62a1 rev 02 class 01,00,00 hdr 00
(II) PCI: 01:09:0: chip 1102,0004 card 1102,0051 rev 03 class 04,01,00 hdr 80
(II) PCI: 01:09:1: chip 1102,7003 card 1102,0040 rev 03 class 09,80,00 hdr 80
(II) PCI: 01:09:2: chip 1102,4001 card 1102,0010 rev 00 class 0c,00,10 hdr 80
(II) PCI: 01:0b:0: chip 1095,3112 card 1095,6112 rev 01 class 01,04,00 hdr 00
(II) PCI: 02:00:0: chip 102b,2527 card 102b,0f84 rev 01 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,2), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:1:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:8:0), (0,1,1), BCTRL: 0x0202 (VGA_EN is cleared)
(II) Bus 1 I/O range:
        [0] -1  0       0x00009000 - 0x0000bfff (0x3000) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0       0xe9000000 - 0xeaffffff (0x2000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x000a (VGA_EN is set)
(II) Bus 2 non-prefetchable memory range:
        [0] -1  0       0xe6000000 - 0xe8ffffff (0x3000000) MX[B]
(II) Bus 2 prefetchable memory range:
        [0] -1  0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
(--) PCI:*(2:0:0) Matrox Graphics, Inc. MGA G550 AGP rev 1, Mem @ 0xe4000000/25,
0xe6000000/14, 0xe7000000/23
(II) Addressable bus resource ranges are
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xe3ffffff to 0xdfffffff
(II) Active PCI resource ranges:
        [0] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [1] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [2] -1  0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [3] -1  0       0xea006000 - 0xea00607f (0x80) MX[B]
        [4] -1  0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [5] -1  0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [6] -1  0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [7] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [8] -1  0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [9] -1  0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [10] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [11] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [12] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [13] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [14] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [15] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [16] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [17] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [18] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [19] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [20] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [21] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [1] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [2] -1  0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [3] -1  0       0xea006000 - 0xea00607f (0x80) MX[B]
        [4] -1  0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [5] -1  0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [6] -1  0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [7] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [8] -1  0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [9] -1  0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [10] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [11] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [12] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [13] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [14] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [15] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [16] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [17] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [18] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [19] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [20] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [21] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [6] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [7] -1  0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [8] -1  0       0xea006000 - 0xea00607f (0x80) MX[B]
        [9] -1  0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [10] -1 0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [11] -1 0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [12] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [13] -1 0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [14] -1 0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [15] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [16] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [17] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [18] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [19] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [20] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [21] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [22] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [23] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [24] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [25] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [26] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [27] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [28] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 0.0.2
        ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.13.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 2.0.2
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.2
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "mga"
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.1.0
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.4
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
        mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400,
        mgag550
(II) Primary Device is: PCI 02:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset mgag550 found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [6] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [7] -1  0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [8] -1  0       0xea006000 - 0xea00607f (0x80) MX[B]
        [9] -1  0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [10] -1 0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [11] -1 0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [12] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [13] -1 0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [14] -1 0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [15] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [16] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [17] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [18] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [19] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [20] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [21] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [22] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [23] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [24] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [25] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [26] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [27] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [28] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
(II) resource ranges after probing:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [6] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [7] -1  0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [8] -1  0       0xea006000 - 0xea00607f (0x80) MX[B]
        [9] -1  0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [10] -1 0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [11] -1 0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [12] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [13] -1 0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [14] -1 0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [15] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [16] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [17] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [18] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [19] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [20] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [21] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [22] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [23] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [24] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [25] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [26] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [27] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [28] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [29] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [30] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [31] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
        [32] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [33] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.6
(--) MGA(0): Chipset: "mgag550"
(**) MGA(0): Depth 16, (--) framebuffer bpp 16
(==) MGA(0): RGB weight 565
(==) MGA(0): Using AGP 1x mode
(--) MGA(0): Linear framebuffer at 0xE4000000
(--) MGA(0): MMIO registers at 0xE6000000
(--) MGA(0): Pseudo-DMA transfer window at 0xE7000000
(==) MGA(0): BIOS at 0xC0000
(--) MGA(0): Video BIOS info block at offset 0x07CE0
(WW) MGA(0): Video BIOS info block not detected!
(II) MGA(0): MGABios.RamdacType = 0x0
(**) MGA(0): VideoRAM: 32768 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.2.0
        ABI class: XFree86 Video Driver, version 0.6
(==) MGA(0): Write-combining range (0xe4000000,0x2000000)
(II) MGA(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: (nil)
(II) MGA(0): end of I2C Monitor info
(--) MGA(0): No DDC signal
(II) MGA(0): DDC Monitor info: (nil)
(II) MGA(0): end of DDC Monitor info
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.1.0
        ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.6
(II) MGA(0): initializing int10
(II) MGA(0): Primary V_BIOS segment is: 0xc000
(II) MGA(0): VESA BIOS detected
(II) MGA(0): VESA VBE Version 3.0
(II) MGA(0): VESA VBE Total Mem: 32768 kB
(II) MGA(0): VESA VBE OEM: Matrox Graphics Inc.
(II) MGA(0): VESA VBE OEM Software Rev: 1.4
(II) MGA(0): VESA VBE OEM Vendor: Matrox
(II) MGA(0): VESA VBE OEM Product: Matrox G550
(II) MGA(0): VESA VBE OEM Product Rev: 00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) MGA(0): VESA VBE DDC supported
(II) MGA(0): VESA VBE DDC Level 2
(II) MGA(0): VESA VBE DDC transfer in appr. 1 sec.
(II) MGA(0): VESA VBE DDC read successfully
(II) MGA(0): VBE DDC Monitor info: 0x862e4b0
(II) MGA(0): Manufacturer: VSC  Model: 4600  Serial#: 16843009
(II) MGA(0): Year: 2001  Week: 26
(II) MGA(0): EDID Version: 1.3
(II) MGA(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) MGA(0): Signal levels configurable
(II) MGA(0): Sync:  Separate  Composite  SyncOnGreenSerration on. V.Sync Pulse
req. if CompSync or SyncOnGreen
(II) MGA(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) MGA(0): Gamma: 2.82
(II) MGA(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) MGA(0): First detailed timing is preferred mode
(II) MGA(0): GTF timings supported
(II) MGA(0): redX: 0.622 redY: 0.339   greenX: 0.279 greenY: 0.600
(II) MGA(0): blueX: 0.149 blueY: 0.072   whiteX: 0.283 whiteY: 0.298
(II) MGA(0): Supported VESA Video Modes:
(II) MGA(0): 720x400@70Hz
(II) MGA(0): 720x400@88Hz
(II) MGA(0): 640x480@60Hz
(II) MGA(0): 640x480@67Hz
(II) MGA(0): 640x480@72Hz
(II) MGA(0): 640x480@75Hz
(II) MGA(0): 800x600@56Hz
(II) MGA(0): 800x600@60Hz
(II) MGA(0): 800x600@72Hz
(II) MGA(0): 800x600@75Hz
(II) MGA(0): 832x624@75Hz
(II) MGA(0): 1024x768@87Hz (interlaced)
(II) MGA(0): 1024x768@60Hz
(II) MGA(0): 1024x768@70Hz
(II) MGA(0): 1024x768@75Hz
(II) MGA(0): 1280x1024@75Hz
(II) MGA(0): 1152x870@75Hz
(II) MGA(0): Manufacturer's mask: 0
(II) MGA(0): Supported Future Video Modes:
(II) MGA(0): #0: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) MGA(0): #1: hsize: 1920  vsize 1440  refresh: 75  vid: 20433
(II) MGA(0): #2: hsize: 1856  vsize 1392  refresh: 75  vid: 20425
(II) MGA(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) MGA(0): #4: hsize: 1600  vsize 1200  refresh: 85  vid: 22953
(II) MGA(0): #5: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) MGA(0): #6: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) MGA(0): #7: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) MGA(0): Supported additional Video Mode:
(II) MGA(0): clock: 157.5 MHz   Image Size:  353 x 265 mm
(II) MGA(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) MGA(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) MGA(0): Serial No: 30S012600195
(II) MGA(0): Ranges: V min: 50  V max: 180 Hz, H min: 30  H max: 117 kHz,
PixClock max 300 MHz
(II) MGA(0): Monitor name: P95f
(II) MGA(0): end of VBE DDC Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 360 MHz
(II) MGA(0): Monitor0: Using hsync range of 30.00-117.00 kHz
(II) MGA(0): Monitor0: Using vrefresh range of 50.00-180.00 Hz
(II) MGA(0): Clock range:  12.00 to 360.00 MHz
(II) MGA(0): Not using default mode "1920x1440" (hsync out of range)
(II) MGA(0): Not using default mode "960x720" (hsync out of range)
(II) MGA(0): Not using default mode "2048x1536" (hsync out of range)
(II) MGA(0): Not using default mode "1024x768" (hsync out of range)
(II) MGA(0): Not using default mode "2048x1536" (bad mode
clock/interlace/doublescan)
(II) MGA(0): Not using default mode "1024x768" (hsync out of range)
(II) MGA(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) MGA(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) MGA(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) MGA(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) MGA(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) MGA(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) MGA(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) MGA(0): Not using default mode "1920x1200" (width too large for virtual size)
(II) MGA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) MGA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) MGA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) MGA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) MGA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) MGA(0): Not using mode "1400x1050" (width too large for virtual size)
(II) MGA(0): Not using mode "1400x1050" (width too large for virtual size)
(II) MGA(0): Not using mode "1400x1050" (width too large for virtual size)
(II) MGA(0): Not using mode "1400x1050" (width too large for virtual size)
(II) MGA(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) MGA(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) MGA(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) MGA(0): Not using default mode "1280x960" (width too large for virtual size)
(II) MGA(0): Not using default mode "1280x960" (width too large for virtual size)
(II) MGA(0): Not using default mode "1152x864" (width too large for virtual size)
(II) MGA(0): Not using default mode "1152x864" (width too large for virtual size)
(II) MGA(0): Not using default mode "1152x768" (width too large for virtual size)
(--) MGA(0): Has SDRAM
(--) MGA(0): Virtual size is 1024x768 (pitch 1024)
(**) MGA(0): *Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) MGA(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808
+hsync +vsync
(**) MGA(0): *Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) MGA(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631
+hsync +vsync
(**) MGA(0): *Default mode "640x480": 74.2 MHz, 85.9 kHz, 85.1 Hz (D)
(II) MGA(0): Modeline "640x480"   74.25  640 672 752 864  480 480 482 505
doublescan +hsync +vsync
(**) MGA(0):  Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) MGA(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800
+hsync +vsync
(**) MGA(0):  Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) MGA(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806
-hsync -vsync
(**) MGA(0):  Default mode "1024x768": 133.5 MHz, 95.3 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "1024x768"  133.47  1024 1100 1212 1400  768 768 770 794
doublescan -hsync +vsync
(**) MGA(0):  Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) MGA(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806
-hsync -vsync
(**) MGA(0):  Default mode "1024x768": 44.9 MHz, 35.5 kHz, 87.1 Hz (I)
(II) MGA(0): Modeline "1024x768"   44.90  1024 1032 1208 1264  768 768 776 817
interlace +hsync +vsync
(**) MGA(0):  Default mode "960x720": 148.5 MHz, 112.5 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "960x720"  148.50  960 1032 1144 1320  720 720 722 750
doublescan -hsync +vsync
(**) MGA(0):  Default mode "960x720": 117.0 MHz, 90.0 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "960x720"  117.00  960 1024 1128 1300  720 720 722 750
doublescan -hsync +vsync
(**) MGA(0):  Default mode "928x696": 144.0 MHz, 112.5 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "928x696"  144.00  928 992 1104 1280  696 696 698 750
doublescan -hsync +vsync
(**) MGA(0):  Default mode "928x696": 109.2 MHz, 86.4 kHz, 60.1 Hz (D)
(II) MGA(0): Modeline "928x696"  109.15  928 976 1088 1264  696 696 698 719
doublescan -hsync +vsync
(**) MGA(0):  Default mode "896x672": 130.5 MHz, 106.3 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "896x672"  130.50  896 944 1052 1228  672 672 674 708
doublescan -hsync +vsync
(**) MGA(0):  Default mode "896x672": 102.4 MHz, 83.7 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "896x672"  102.40  896 960 1060 1224  672 672 674 697
doublescan -hsync +vsync
(**) MGA(0):  Default mode "960x600": 115.0 MHz, 91.0 kHz, 72.8 Hz (D)
(II) MGA(0): Modeline "960x600"  115.00  960 968 1048 1264  600 600 602 625
doublescan -hsync -vsync
(**) MGA(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) MGA(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667
-hsync -vsync
(**) MGA(0):  Default mode "800x600": 114.8 MHz, 106.2 kHz, 85.0 Hz (D)
(II) MGA(0): Modeline "800x600"  114.75  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) MGA(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) MGA(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625
+hsync +vsync
(**) MGA(0):  Default mode "800x600": 101.2 MHz, 93.8 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "800x600"  101.25  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) MGA(0):  Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) MGA(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666
+hsync +vsync
(**) MGA(0):  Default mode "800x600": 94.5 MHz, 87.5 kHz, 70.0 Hz (D)
(II) MGA(0): Modeline "800x600"   94.50  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) MGA(0):  Default mode "800x600": 87.8 MHz, 81.2 kHz, 65.0 Hz (D)
(II) MGA(0): Modeline "800x600"   87.75  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) MGA(0):  Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) MGA(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628
+hsync +vsync
(**) MGA(0):  Default mode "800x600": 81.0 MHz, 75.0 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "800x600"   81.00  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) MGA(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) MGA(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625
+hsync +vsync
(**) MGA(0):  Default mode "700x525": 92.0 MHz, 93.9 kHz, 85.3 Hz (D)
(II) MGA(0): Modeline "700x525"   92.00  700 732 828 980  525 525 527 550
doublescan +hsync +vsync
(**) MGA(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
(II) MGA(0): Modeline "700x525"   77.90  700 732 892 956  525 526 532 545
doublescan +hsync +vsync
(**) MGA(0):  Default mode "700x525": 75.5 MHz, 77.0 kHz, 70.0 Hz (D)
(II) MGA(0): Modeline "700x525"   75.50  700 732 828 980  525 525 527 550
doublescan +hsync +vsync
(**) MGA(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "700x525"   61.00  700 744 820 940  525 526 532 541
doublescan +hsync +vsync
(**) MGA(0):  Default mode "640x512": 78.8 MHz, 91.1 kHz, 85.0 Hz (D)
(II) MGA(0): Modeline "640x512"   78.75  640 672 752 864  512 512 514 536
doublescan +hsync +vsync
(**) MGA(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "640x512"   67.50  640 648 720 844  512 512 514 533
doublescan +hsync +vsync
(**) MGA(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "640x512"   54.00  640 664 720 844  512 512 514 533
doublescan +hsync +vsync
(**) MGA(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) MGA(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -hsync
-vsync
(**) MGA(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) MGA(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync
-vsync
(**) MGA(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) MGA(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 -hsync
-vsync
(**) MGA(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) MGA(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync
-vsync
(**) MGA(0):  Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "640x480"   54.00  640 688 744 900  480 480 482 500
doublescan +hsync +vsync
(**) MGA(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) MGA(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446 -hsync
+vsync
(**) MGA(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) MGA(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445 -hsync
+vsync
(**) MGA(0):  Default mode "576x432": 60.8 MHz, 77.5 kHz, 85.2 Hz (D)
(II) MGA(0): Modeline "576x432"   60.75  576 608 672 784  432 432 434 455
doublescan +hsync -vsync
(**) MGA(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "576x432"   54.00  576 608 672 800  432 432 434 450
doublescan +hsync +vsync
(**) MGA(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) MGA(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445 +hsync
-vsync
(**) MGA(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D)
(II) MGA(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403
doublescan +hsync +vsync
(**) MGA(0):  Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D)
(II) MGA(0): Modeline "512x384"   47.25  512 536 584 688  384 384 386 404
doublescan +hsync +vsync
(**) MGA(0):  Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D)
(II) MGA(0): Modeline "512x384"   39.40  512 520 568 656  384 384 386 400
doublescan +hsync +vsync
(**) MGA(0):  Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D)
(II) MGA(0): Modeline "512x384"   37.50  512 524 592 664  384 385 388 403
doublescan -hsync -vsync
(**) MGA(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(II) MGA(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403
doublescan -hsync -vsync
(**) MGA(0):  Default mode "512x384": 22.4 MHz, 35.5 kHz, 87.1 Hz (D)
(II) MGA(0): Modeline "512x384"   22.45  512 516 604 632  384 384 388 409
interlace doublescan +hsync +vsync
(**) MGA(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
(II) MGA(0): Modeline "416x312"   28.64  416 432 464 576  312 312 314 333
doublescan -hsync -vsync
(**) MGA(0):  Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D)
(II) MGA(0): Modeline "400x300"   28.15  400 416 448 524  300 300 302 315
doublescan +hsync +vsync
(**) MGA(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
(II) MGA(0): Modeline "400x300"   24.75  400 408 448 528  300 300 302 312
doublescan +hsync +vsync
(**) MGA(0):  Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D)
(II) MGA(0): Modeline "400x300"   25.00  400 428 488 520  300 318 321 333
doublescan +hsync +vsync
(**) MGA(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) MGA(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314
doublescan +hsync +vsync
(**) MGA(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) MGA(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301 312
doublescan +hsync +vsync
(**) MGA(0):  Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
(II) MGA(0): Modeline "320x240"   18.00  320 348 376 416  240 240 242 254
doublescan -hsync -vsync
(**) MGA(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(II) MGA(0): Modeline "320x240"   15.75  320 328 360 420  240 240 242 250
doublescan -hsync -vsync
(**) MGA(0):  Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
(II) MGA(0): Modeline "320x240"   15.75  320 332 352 416  240 244 245 260
doublescan -hsync -vsync
(**) MGA(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(II) MGA(0): Modeline "320x240"   12.60  320 328 376 400  240 245 246 262
doublescan -hsync -vsync
(**) MGA(0):  Default mode "360x200": 17.8 MHz, 37.9 kHz, 85.0 Hz (D)
(II) MGA(0): Modeline "360x200"   17.75  360 378 414 468  200 200 202 223
doublescan -hsync +vsync
(**) MGA(0):  Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) MGA(0): Modeline "320x200"   15.75  320 336 368 416  200 200 202 222
doublescan -hsync +vsync
(**) MGA(0):  Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) MGA(0): Modeline "320x175"   15.75  320 336 368 416  175 191 192 222
doublescan +hsync -vsync
(**) MGA(0): Display dimensions: (360, 270) mm
(**) MGA(0): DPI set to (72, 72)
(II) MGA(0): YDstOrg is set to 0
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.2
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 1.1.0
        ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
        compiled for 4.2.99.901, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.6
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0       0xe7000000 - 0xe77fffff (0x800000) MX[B]
        [1] 0   0       0xe6000000 - 0xe6003fff (0x4000) MX[B]
        [2] 0   0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
        [3] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [4] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [5] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [6] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [7] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [8] -1  0       0xea007000 - 0xea0071ff (0x200) MX[B]
        [9] -1  0       0xea000000 - 0xea003fff (0x4000) MX[B]
        [10] -1 0       0xea005000 - 0xea0057ff (0x800) MX[B]
        [11] -1 0       0xea006000 - 0xea00607f (0x80) MX[B]
        [12] -1 0       0xeb002000 - 0xeb0020ff (0x100) MX[B]
        [13] -1 0       0xeb001000 - 0xeb001fff (0x1000) MX[B]
        [14] -1 0       0xeb000000 - 0xeb000fff (0x1000) MX[B]
        [15] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [16] -1 0       0xe7000000 - 0xe77fffff (0x800000) MX[B](B)
        [17] -1 0       0xe6000000 - 0xe6003fff (0x4000) MX[B](B)
        [18] -1 0       0xe4000000 - 0xe5ffffff (0x2000000) MX[B](B)
        [19] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
        [20] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
        [21] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
        [22] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [23] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [24] -1 0       0x0000b000 - 0x0000b00f (0x10) IX[B]
        [25] -1 0       0x0000ac00 - 0x0000ac03 (0x4) IX[B]
        [26] -1 0       0x0000a800 - 0x0000a807 (0x8) IX[B]
        [27] -1 0       0x0000a400 - 0x0000a403 (0x4) IX[B]
        [28] -1 0       0x0000a000 - 0x0000a007 (0x8) IX[B]
        [29] -1 0       0x00009c00 - 0x00009c07 (0x8) IX[B]
        [30] -1 0       0x00009800 - 0x0000981f (0x20) IX[B]
        [31] -1 0       0x00009400 - 0x000094ff (0x100) IX[B]
        [32] -1 0       0x00009000 - 0x0000907f (0x80) IX[B]
        [33] -1 0       0x0000f000 - 0x0000f00f (0x10) IX[B]
        [34] -1 0       0x0000c000 - 0x0000c01f (0x20) IX[B]
        [35] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [36] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) MGA(0): Write-combining range (0xe4000000,0x2000000)
(II) MGA(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(--) MGA(0): 16 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] bpp: 16 depth: 16
(II) MGA(0): [drm] Sarea 2200+664: 2864
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
[drm] failed to load kernel module "agpgart"
[drm] failed to load kernel module "mga"
(II) MGA(0): [drm] drmOpen failed
(EE) MGA(0): [drm] DRIScreenInit failed.  Disabling DRI.
(II) MGA(0): Using 7424 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        Solid filled trapezoids
        8x8 mono pattern filled rectangles
        8x8 mono pattern filled trapezoids
        Indirect CPU to Screen color expansion
        Screen to Screen color expansion
        Solid Lines
        Dashed Lines
        Scanline Image Writes
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                32 256x256 slots
                16 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) Option "dpms"
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(==) MGA(0): Direct rendering disabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(**) Option "Protocol" "MouseManPlusPS/2"
(**) Mouse0: Protocol: "MouseManPlusPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(**) Option "Protocol" "IMPS/2"
(**) DevInputMice: Protocol: "IMPS/2"
(**) Option "AlwaysCore"
(**) DevInputMice: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) DevInputMice: ZAxisMapping: buttons 4 and 5
(**) DevInputMice: Buttons: 5
(II) XINPUT: Adding extended input device "DevInputMice" (type: MOUSE)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded
(II) DevInputMice: ps2EnableDataReporting: succeeded
[root@sarmax root]#
Comment 1 Mike A. Harris 2003-03-03 14:22:37 EST
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: unsupported bridge
agpgart: no supported devices found.
[drm:drm_init] *ERROR* Cannot initialize the agpgart module.


I think "unsupported bridge" says it all here...

Closing bug NOTABUG since there's no UNSUPPORTED resolution in bugzilla.

Note You need to log in before you can comment on or make changes to this bug.